org.eclnt.jsfserver.elements.impl

## Interface IFIXGRIDBinding<itemClass extends FIXGRIDItem>

- All Known Implementing Classes:
    ARRAYGRIDListBinding, DynBeanUI.Grid, FIXGRIDBeanListBinding, FIXGRIDBinding, FIXGRIDListBinding, FIXGRIDPivotListBinding, FIXGRIDTreeBinding, IdAttributesSelection.IdAttributesLineGrid, IdTextSelection.IdTextLineGrid, SC_FIXGRIDListBinding, SPANGRIDListBinding

      public interface IFIXGRIDBinding<itemClass extends FIXGRIDItem>

  Interface for server side grid objects. Please also check the documentation of `FIXGRIDListBinding`, which is the default implementation.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `IFIXGRIDBinding.FIXGRIDSortInfo` Sort information that is kept per sortable column.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `SORT_ASCENDING`
    `static int` | `SORT_DESCENDING`
    `static int` | `SORT_UNSORTED`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `checkIfChangeIndexIsSupported()`
    `int` | `getClientvisibleamount()`
    `java.lang.String` | `getColumnsequence()`
    `IFIXGRIDBinding` | `getConnectedBinding()`
    `java.util.List<ColumnInfo>` | `getExportableColumns()` Information about the columns that are currently exportable.
    `java.util.List<ColumnInfo>` | `getExportableColumns(boolean withConnectedBinding)`
    `int` | `getIndextobevisibleOfItems()`
    `java.lang.String` | `getModcolumnwidths()`
    `int` | `getNewClientHorizontalScrollPosition()`
    `FIXGRIDItem` | `getObjecttobevisibleOfItems()`
    `java.util.List` | `getRows()`
    `int` | `getSbmaximum()`
    `int` | `getSbvalue()`
    `int` | `getSbvisibleamount()`
    `java.util.Map<java.lang.String,IFIXGRIDBinding.FIXGRIDSortInfo>` | `getSortInfo()`
    `IFIXGRIDBinding.FIXGRIDSortInfo` | `getSortInfoForReference(java.lang.String sortReference)` Access to sort info for a sort reference.
    `java.util.List<ColumnInfo>` | `getVisibleColumns()` Information about the columns that are currently visible.
    `java.util.List<ColumnInfo>` | `getVisibleColumns(boolean withConnectedBinding)`
    `void` | `passComponentData(java.lang.String objectBinding, IFIXGRIDComponentAbstraction fixgridComponent)`
    `void` | `renderingBegins()` This method is called within the rendering phase - when the grid data is picked to be sent to client side: it "tells" the grid, that now the rendering stats, so this is the last moment to update the grid and the grid data before it is sent to the client.
    `void` | `setClientvisibleamount(int value)`
    `void` | `setColumnIndexOfLastSelection(int value)`
    `void` | `setColumnIndexOfLastSelection(int value, boolean shiftPressed, boolean ctrlPressed, boolean altPressed, int mouseButton)`
    `void` | `setColumnsequence(java.lang.String value)`
    `void` | `setCurrentHorizontalScrollPosition(int currentHorizontalScrollPosition)`
    `void` | `setIndextobevisibleOfItems(int index)`
    `void` | `setModcolumnwidths(java.lang.String value)`
    `void` | `setObjecttobevisibleOfItems(itemClass item)`
    `void` | `setSbvalue(java.lang.String value)`
    `void` | `setSbvisibleamount(int value)`

- - ### Field Detail

    - #### SORT_UNSORTED

          static final int SORT_UNSORTED

      See Also:
        Constant Field Values

    - #### SORT_ASCENDING

          static final int SORT_ASCENDING

      See Also:
        Constant Field Values

    - #### SORT_DESCENDING

          static final int SORT_DESCENDING

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getRows

          java.util.List getRows()

    - #### setSbvisibleamount

          void setSbvisibleamount(int value)

    - #### getSbvisibleamount

          int getSbvisibleamount()

    - #### setSbvalue

          void setSbvalue(java.lang.String value)

    - #### getSbvalue

          int getSbvalue()

    - #### getSbmaximum

          int getSbmaximum()

    - #### setIndextobevisibleOfItems

          void setIndextobevisibleOfItems(int index)

    - #### getIndextobevisibleOfItems

          int getIndextobevisibleOfItems()

    - #### setObjecttobevisibleOfItems

          void setObjecttobevisibleOfItems(itemClass item)

    - #### getObjecttobevisibleOfItems

          FIXGRIDItem getObjecttobevisibleOfItems()

    - #### getColumnsequence

          java.lang.String getColumnsequence()

    - #### setColumnsequence

          void setColumnsequence(java.lang.String value)

    - #### getModcolumnwidths

          java.lang.String getModcolumnwidths()

    - #### setModcolumnwidths

          void setModcolumnwidths(java.lang.String value)

    - #### setClientvisibleamount

          void setClientvisibleamount(int value)

    - #### getClientvisibleamount

          int getClientvisibleamount()

    - #### checkIfChangeIndexIsSupported

          boolean checkIfChangeIndexIsSupported()

    - #### setColumnIndexOfLastSelection

          void setColumnIndexOfLastSelection(int value,
                                             boolean shiftPressed,
                                             boolean ctrlPressed,
                                             boolean altPressed,
                                             int mouseButton)

    - #### setColumnIndexOfLastSelection

          void setColumnIndexOfLastSelection(int value)

    - #### passComponentData

          void passComponentData(java.lang.String objectBinding,
                                 IFIXGRIDComponentAbstraction fixgridComponent)

    - #### getSortInfo

          java.util.Map<java.lang.String,IFIXGRIDBinding.FIXGRIDSortInfo> getSortInfo()

    - #### getSortInfoForReference

          IFIXGRIDBinding.FIXGRIDSortInfo getSortInfoForReference(java.lang.String sortReference)

      Access to sort info for a sort reference. If the sort reference does not exist yet, then a new one is created. The sort info is the one that tells per sort reference if the corresponding column is sorted.

    - #### renderingBegins

          void renderingBegins()

      This method is called within the rendering phase - when the grid data is picked to be sent to client side: it "tells" the grid, that now the rendering stats, so this is the last moment to update the grid and the grid data before it is sent to the client.

    - #### getVisibleColumns

          java.util.List<ColumnInfo> getVisibleColumns()

      Information about the columns that are currently visible.

    - #### getVisibleColumns

          java.util.List<ColumnInfo> getVisibleColumns(boolean withConnectedBinding)

    - #### getExportableColumns

          java.util.List<ColumnInfo> getExportableColumns()

      Information about the columns that are currently exportable.

    - #### getExportableColumns

          java.util.List<ColumnInfo> getExportableColumns(boolean withConnectedBinding)

    - #### setCurrentHorizontalScrollPosition

          void setCurrentHorizontalScrollPosition(int currentHorizontalScrollPosition)

    - #### getNewClientHorizontalScrollPosition

          int getNewClientHorizontalScrollPosition()

    - #### getConnectedBinding

          IFIXGRIDBinding getConnectedBinding()

Copyright © CaptainCasa Gmbh. All Rights Reserved.